use strict;
use warnings;

# this test was generated with Dist::Zilla::Plugin::NoTabsTests 0.07

use Test::More 0.88;
use Test::NoTabs;

my @files = (
    'lib/Bread/Board.pm',
    'lib/Bread/Board/BlockInjection.pm',
    'lib/Bread/Board/ConstructorInjection.pm',
    'lib/Bread/Board/Container.pm',
    'lib/Bread/Board/Container/FromParameterized.pm',
    'lib/Bread/Board/Container/Parameterized.pm',
    'lib/Bread/Board/Dependency.pm',
    'lib/Bread/Board/Dumper.pm',
    'lib/Bread/Board/LifeCycle.pm',
    'lib/Bread/Board/LifeCycle/Singleton.pm',
    'lib/Bread/Board/LifeCycle/Singleton/WithParameters.pm',
    'lib/Bread/Board/Literal.pm',
    'lib/Bread/Board/Manual.pod',
    'lib/Bread/Board/Manual/Concepts.pod',
    'lib/Bread/Board/Manual/Concepts/Advanced.pod',
    'lib/Bread/Board/Manual/Concepts/Typemap.pod',
    'lib/Bread/Board/Manual/Example.pod',
    'lib/Bread/Board/Manual/Example/FormSensible.pod',
    'lib/Bread/Board/Manual/Example/LogDispatch.pod',
    'lib/Bread/Board/Service.pm',
    'lib/Bread/Board/Service/Alias.pm',
    'lib/Bread/Board/Service/Deferred.pm',
    'lib/Bread/Board/Service/Deferred/Thunk.pm',
    'lib/Bread/Board/Service/Inferred.pm',
    'lib/Bread/Board/Service/WithClass.pm',
    'lib/Bread/Board/Service/WithDependencies.pm',
    'lib/Bread/Board/Service/WithParameters.pm',
    'lib/Bread/Board/SetterInjection.pm',
    'lib/Bread/Board/Traversable.pm',
    'lib/Bread/Board/Types.pm',
    't/00-compile.t',
    't/001_constructor_injection.t',
    't/002_setter_injection.t',
    't/003_block_injection.t',
    't/004_block_injection_w_out_class.t',
    't/005_alias.t',
    't/010_container.t',
    't/011_container_path.t',
    't/012_container_with_shared_deps.t',
    't/020_sugar.t',
    't/021_sugar.t',
    't/022_sugar.t',
    't/023_sugar.t',
    't/024_sugar.t',
    't/025_sugar_w_absolute_path.t',
    't/026_sugar_remove.t',
    't/027_sugar_w_include.t',
    't/028_sugar_w_recursive_inc.t',
    't/029_sugar_auto_wire_names.t',
    't/030_lifecycle_singleton.t',
    't/031_custom_lifecycles.t',
    't/032_singleton_cycle.t',
    't/040_circular_dependencies.t',
    't/041_parameter_cache_handling.t',
    't/042_parameter_cache_with_singleton.t',
    't/043_parameter_leaks.t',
    't/044_deferred_parameters.t',
    't/045_parameters_in_dependency.t',
    't/046_custom_parameter_service.t',
    't/047_dependencies_override_parameters.t',
    't/048_array_deps.t',
    't/050_parameterized_containers.t',
    't/051_more_parameterized_containers.t',
    't/052_parameterized_in_hierarchy.t',
    't/053_parameterized_clone.t',
    't/054_parameterized_backref.t',
    't/060_extend_w_sugar.t',
    't/061_extends_w_sugar_and_inheritance.t',
    't/062_service_class_w_sugar.t',
    't/070_with_basic_typemap.t',
    't/071_typemap_with_basic_infer.t',
    't/072_typemap_with_more_infer.t',
    't/073_typemap_with_role_infer.t',
    't/074_typemap_w_recursive_infer.t',
    't/075_complex_typemap_example.t',
    't/076_more_complex_typemap.t',
    't/077_more_complex_typemap_w_roles.t',
    't/078_complex_typemap_w_error.t',
    't/079_depending_on_type.t',
    't/080_infer_subclasses.t',
    't/100_clone_w_constructor_injection.t',
    't/101_clone_w_setter_injection.t',
    't/102_clone_w_block_injection.t',
    't/110_clone_w_singleton.t',
    't/150_deferred_parameters_fail.t',
    't/151_sugar_no_container.t',
    't/152_sugar_service_inheritance.t',
    't/153_sugar_container_inheritance.t',
    't/200_example_code.t',
    't/201_log_dispatch_example.t',
    't/202_form_sensible_example.t',
    't/300_no_new.t',
    't/301_sugar.t',
    't/302_path_traversal_deprecation.t',
    't/lib/bad.bb',
    't/lib/false.bb',
    't/lib/logger.bb',
    't/lib/my_app.bb'
);

notabs_ok($_) foreach @files;
done_testing;
